
From: Adrian Bunk <bunk@stusta.de>

This patch removes #if's for kernel 2.2 .

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/scsi/dpti.h |   10 ----------
 1 files changed, 10 deletions(-)

diff -puN drivers/scsi/dpti.h~drivers-scsi-dptih-remove-kernel-22-ifs drivers/scsi/dpti.h
--- 25/drivers/scsi/dpti.h~drivers-scsi-dptih-remove-kernel-22-ifs	2005-03-28 17:27:58.000000000 -0800
+++ 25-akpm/drivers/scsi/dpti.h	2005-03-28 17:27:58.000000000 -0800
@@ -20,15 +20,9 @@
 #ifndef _DPT_H
 #define _DPT_H
 
-#ifndef LINUX_VERSION_CODE
 #include <linux/version.h>
-#endif
 
-#if LINUX_VERSION_CODE < KERNEL_VERSION(2,4,00)
-#define MAX_TO_IOP_MESSAGES   (210)
-#else
 #define MAX_TO_IOP_MESSAGES   (255)
-#endif
 #define MAX_FROM_IOP_MESSAGES (255)
 
 
@@ -321,10 +315,6 @@ static int adpt_close(struct inode *inod
 static void adpt_delay(int millisec);
 #endif
 
-#if LINUX_VERSION_CODE < KERNEL_VERSION(2,4,0)
-static struct pci_dev* adpt_pci_find_device(uint vendor, struct pci_dev* from);
-#endif
-
 #if defined __ia64__ 
 static void adpt_ia64_info(sysInfo_S* si);
 #endif
_
